#!/usr/bin/env stack
{- stack
    runghc
    --package shakers
 -}

{-# LANGUAGE NoImplicitPrelude #-}
{-# LANGUAGE OverloadedStrings #-}

-- | Shake makefile for project.
--
import Development.Shakers

-- | Main entry point.
--
main :: IO ()
main = shakeMain $ do
  let pats =
        [ "stack.yaml"
        , "Shakefile.hs"
        , "main//*.hs"
        , "src//*.hs"
        ]

  -- | Imported rules.
  --
  hsRules "."
  stackRules "." pats
  cabalRules "." "skylark-client.cabal"

  -- | Default things to run.
  --
  want [ fakeFile "lint", fakeFile "format" ]
